<template>
  <div class="sewers-analysis-tab">
    <el-tabs v-model="activeName" type="border-card" @tab-click="handleClick">
      <el-tab-pane label="连通性" name="first">
        <Connectivity></Connectivity>
      </el-tab-pane>
      <el-tab-pane label="爆管" name="second">
        <Tube></Tube>
      </el-tab-pane>
      <el-tab-pane label="流向" name="third">
        <Flow></Flow>
      </el-tab-pane>
      <el-tab-pane label="横断面" name="four">
        <CrossSectional></CrossSectional>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import Connectivity from '@components/panel/topicSearch/SewersSelect/AnalysisChoose/Connectivity'
import Tube from '@components/panel/topicSearch/SewersSelect/AnalysisChoose/Tube'
import Flow from '@components/panel/topicSearch/SewersSelect/AnalysisChoose/Flow'
import CrossSectional from '@components/panel/topicSearch/SewersSelect/AnalysisChoose/CrossSectional'

export default {
  name: 'SewersFirstTab',
  components: {
    Connectivity,
    Tube,
    Flow,
    CrossSectional
  },
  data () {
    return {
      activeName: 'first'
    }
  },
  methods: {
    handleClick (tab, event) {
      console.log(tab, event)
    }
  }
}
</script>

<style lang="less" scoped>
</style>
